drop _all
use Times.dta

drop time*
gen projvar = OwnInv+OwnPro+OwnReg
foreach var of varlist projvar reg2hdfe a2reg felsdvreg20{
replace `var'=. if `var'==0
}
drop if longi == 18000
bysort longi widet vars: egen t_projvar = mean(projvar)
by longi widet vars: egen t_reg2hdfe = mean(reg2hdfe)
by longi widet vars: egen t_a2reg = mean(a2reg)
by longi widet vars: egen t_felsdvreg = mean(felsdvreg20)
by longi widet vars: egen q_Step1 = mean(OwnInv)
by longi widet vars: egen q_Step2 = mean(OwnPro)
by longi widet vars: egen q_Step3 = mean(OwnReg)

gen p_Step1=q_Step1/t_projvar
gen p_Step2=q_Step2/t_projvar
gen p_Step3=q_Step3/t_projvar

by longi widet vars: gen ix=_n

list longi widet vars t_* if ix==1 & vars<11
list longi widet vars q_* if ix==1 & vars<11
list longi widet vars p_* if ix==1 & vars<11
*twoway (scatter t_reg2hdfe t_projvar) (scatter t_a2reg t_projvar) (scatter t_felsdvreg t_projvar) if ix==1

*sort t_projvar
*list longi widet vars t_* if ix==1


